Module javafx.graphics
Package javafx.css

# Class SimpleStyleableIntegerProperty

java.lang.Object
javafx.beans.binding.NumberExpressionBase
javafx.beans.binding.IntegerExpression
javafx.beans.property.ReadOnlyIntegerProperty
javafx.beans.property.IntegerProperty
javafx.beans.property.IntegerPropertyBase
javafx.css.StyleableIntegerProperty
javafx.css.SimpleStyleableIntegerProperty

All Implemented Interfaces:
  `NumberExpression`, `Observable`, `Property<Number>`, `ReadOnlyProperty<Number>`, `ObservableIntegerValue`, `ObservableNumberValue`, `ObservableValue<Number>`, `WritableIntegerValue`, `WritableNumberValue`, `WritableValue<Number>`, `StyleableProperty<Number>`

    public class SimpleStyleableIntegerProperty
    extends StyleableIntegerProperty

This class extends `SimpleIntegerProperty` and provides a full implementation of a `StyleableProperty`. This class is used to make a `IntegerProperty`, that would otherwise be implemented as a `SimpleIntegerProperty`, styleable by CSS.

Since:
  JavaFX 8.0
See Also:
  `SimpleIntegerProperty`, `CssMetaData`, `StyleableProperty`, `StyleableIntegerProperty`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData)` | The constructor of the `SimpleStyleableIntegerProperty`.
  `SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Integer initialValue)` | The constructor of the `SimpleStyleableIntegerProperty`.
  `SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name)` | The constructor of the `SimpleStyleableIntegerProperty`.
  `SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name, Integer initialValue)` | The constructor of the `SimpleStyleableIntegerProperty`.

- ## Method Summary

  ### Methods declared in class javafx.beans.property.IntegerPropertyBase

  `fireValueChangedEvent, invalidated, toString`

  ### Methods declared in class javafx.beans.property.IntegerProperty

  `asObject, integerProperty`

  ### Methods declared in class javafx.beans.property.ReadOnlyIntegerProperty

  `readOnlyIntegerProperty`

  ### Methods declared in class javafx.beans.binding.IntegerExpression

  `add, add, add, add, divide, divide, divide, divide, integerExpression, integerExpression, multiply, multiply, multiply, multiply, negate, subtract, subtract, subtract, subtract`

  ### Methods declared in class javafx.beans.binding.NumberExpressionBase

  `numberExpression`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface javafx.beans.binding.NumberExpression

  `add, asString, asString, asString, divide, greaterThan, greaterThan, greaterThan, greaterThan, greaterThan, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, greaterThanOrEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, isNotEqualTo, lessThan, lessThan, lessThan, lessThan, lessThan, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, lessThanOrEqualTo, multiply, subtract`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.beans.value.ObservableIntegerValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableNumberValue

  `doubleValue, floatValue, intValue, longValue`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.Property

  `bind, bindBidirectional, isBound, unbind, unbindBidirectional`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

  ### Methods declared in interface javafx.css.StyleableProperty

  `applyStyle, getCssMetaData, getStyleOrigin`

  ### Methods declared in interface javafx.beans.value.WritableIntegerValue

  `get, set, setValue`

  ### Methods declared in interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleStyleableIntegerProperty

    public SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData)
    The constructor of the `SimpleStyleableIntegerProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`

  - ### SimpleStyleableIntegerProperty

    public SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Integer initialValue)
    The constructor of the `SimpleStyleableIntegerProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `initialValue` - the initial value of the wrapped `Object`

  - ### SimpleStyleableIntegerProperty

    public SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name)
    The constructor of the `SimpleStyleableIntegerProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `IntegerProperty`
      `name` - the name of this `IntegerProperty`

  - ### SimpleStyleableIntegerProperty

    public SimpleStyleableIntegerProperty​(CssMetaData<? extends Styleable,​Number> cssMetaData, Object bean, String name, Integer initialValue)
    The constructor of the `SimpleStyleableIntegerProperty`.
    Parameters:
      `cssMetaData` - the CssMetaData associated with this `StyleableProperty`
      `bean` - the bean of this `IntegerProperty`
      `name` - the name of this `IntegerProperty`
      `initialValue` - the initial value of the wrapped `Object`